Bug 12216 - One should be able to override zebra configuration on a per instance basis
Summary: One should be able to override zebra configuration on a per instance basis
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P4 enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Robin Sheat
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-08 15:18 UTC by Martin Renvoize
Modified: 2016-06-21 21:40 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12216: One should be able to override zebra config (4.09 KB, patch)
2014-05-08 15:51 UTC, Martin Renvoize
Details | Diff | Splinter Review
[SIGNED OFF] Bug 12216: One should be able to override zebra config (5.12 KB, patch)
2015-08-02 13:33 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 12216: One should be able to override zebra config (5.18 KB, patch)
2015-08-02 23:47 UTC, Robin Sheat
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2014-05-08 15:18:53 UTC
One should be able to customise the Zebra configuration on a per instance basis by just over-riding the default files with custom ones added under /sites/instancename/.

This should be simple to achieve during install time by adding /etc/koha/sites/instancename/ to the profilePath in the already create instancename/*.cfg files.

Patch to follow
Comment 1 Martin Renvoize 2014-05-08 15:51:06 UTC Comment hidden (obsolete)
Comment 2 Martin Renvoize 2014-05-08 15:53:53 UTC
To test..

1. Build package with this patch added
2. Install package
3. use koha-create to run up a new instance
4. copy any default zebra config file (default.idx maybe) you wish to customise into /etc/koha/newInstance
5. modify the file
6. check that your modification has in fact been used
Comment 3 Tomás Cohen Arazi 2015-08-02 13:33:29 UTC Comment hidden (obsolete)
Comment 4 Robin Sheat 2015-08-02 23:47:18 UTC
Created attachment 41304 [details] [review]
Bug 12216: One should be able to override zebra config

One should be able to override zebra configuration on a per instance
basis.  This patch adds /etc/koha/sites/instance to the 'profilePath'
in the zebra config files such that that location is sources first
for any override config files.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Great catch Martin. I thought this was already pushed by the way.

Signed-off-by: Robin Sheat <robin@catalyst.net.nz>
This will be useful.
Comment 5 Tomás Cohen Arazi 2015-08-03 15:01:29 UTC
Patch pushed to master.

Thanks Martin!
Comment 6 David Cook 2015-11-17 03:37:09 UTC
Neato!